﻿@if (ViewBag.ajax)
{
    using (Ajax.BeginForm("Delete", new AjaxOptions { HttpMethod = "post", Url = Url.Action("Delete"), OnSuccess = "OnSuccessDelete" }))
    {
        @Form()
    }
}
else
{
    <form action="@Url.Action("Delete")" method="post">
        @Form()
    </form>
}

@helper Form()
{
    @Html.AntiForgeryToken()
    @Html.Dialog(Model as string, "Delete",
    @<div>
        آیا از انجام عمل حذف مطمئن هستید؟
        <input type="hidden" id="@(Model)_Id" name="id" />
    </div>,
    @<div>
        <input type="submit" value="بله" class="btn btn-danger" />
    </div>)
}
<script>
    function @(Model)(id) {
        $("#@(Model)_Id").val(id);
    }
</script>